Package com.sun.jna.platform.mac

# Class SystemB.VMStatistics64

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.mac.SystemB.VMStatistics64

Enclosing interface:
  SystemB

@FieldOrder({"free_count","active_count","inactive_count","wire_count","zero_fill_count","reactivations","pageins","pageouts","faults","cow_faults","lookups","hits","purges","purgeable_count","speculative_count","decompressions","compressions","swapins","swapouts","compressor_page_count","throttled_count","external_page_count","internal_page_count","total_uncompressed_pages_in_compressor"}) public static class SystemB.VMStatistics64 extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `active_count`
  `long`
  `compressions`
  `int`
  `compressor_page_count`
  `long`
  `cow_faults`
  `long`
  `decompressions`
  `int`
  `external_page_count`
  `long`
  `faults`
  `int`
  `free_count`
  `long`
  `hits`
  `int`
  `inactive_count`
  `int`
  `internal_page_count`
  `long`
  `lookups`
  `long`
  `pageins`
  `long`
  `pageouts`
  `int`
  `purgeable_count`
  `long`
  `purges`
  `long`
  `reactivations`
  `int`
  `speculative_count`
  `long`
  `swapins`
  `long`
  `swapouts`
  `int`
  `throttled_count`
  `long`
  `total_uncompressed_pages_in_compressor`
  `int`
  `wire_count`
  `long`
  `zero_fill_count`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VMStatistics64()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### free_count

    public int free_count

  - ### active_count

    public int active_count

  - ### inactive_count

    public int inactive_count

  - ### wire_count

    public int wire_count

  - ### zero_fill_count

    public long zero_fill_count

  - ### reactivations

    public long reactivations

  - ### pageins

    public long pageins

  - ### pageouts

    public long pageouts

  - ### faults

    public long faults

  - ### cow_faults

    public long cow_faults

  - ### lookups

    public long lookups

  - ### hits

    public long hits

  - ### purges

    public long purges

  - ### purgeable_count

    public int purgeable_count

  - ### speculative_count

    public int speculative_count

  - ### decompressions

    public long decompressions

  - ### compressions

    public long compressions

  - ### swapins

    public long swapins

  - ### swapouts

    public long swapouts

  - ### compressor_page_count

    public int compressor_page_count

  - ### throttled_count

    public int throttled_count

  - ### external_page_count

    public int external_page_count

  - ### internal_page_count

    public int internal_page_count

  - ### total_uncompressed_pages_in_compressor

    public long total_uncompressed_pages_in_compressor

- ## Constructor Details

  - ### VMStatistics64

    public VMStatistics64()